org.apache.catalina.tribes.group

## Class RpcChannel.RpcCollector

- java.lang.Object
- - org.apache.catalina.tribes.group.RpcChannel.RpcCollector

Enclosing class:
  RpcChannel

    public static class RpcChannel.RpcCollector
    extends Object

Class that holds all response.

Version:
  1.0
Author:
  not attributable

### Field Summary

Fields
`int` `destcnt`
`RpcChannel.RpcCollectorKey` `key`
`int` `options`
`ArrayList<Response>` `responses`
`long` `timeout` Deprecated. Unused - will be removed in Tomcat 8.0.x

### Constructor Summary

Constructors
Constructor and Description
`RpcChannel.RpcCollector(RpcChannel.RpcCollectorKey key, int options, int destcnt)`
`RpcChannel.RpcCollector(RpcChannel.RpcCollectorKey key, int options, int destcnt, long timeout)` Deprecated. Use `RpcChannel.RpcCollector( RpcChannel.RpcCollectorKey, int, int)`

### Method Summary

Methods
`void` `addResponse(Serializable message, Member sender)`
`boolean` `equals(Object o)`
`Response[]` `getResponses()`
`int` `hashCode()`
`boolean` `isComplete()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### responses

    public ArrayList<Response> responses

#### key

    public RpcChannel.RpcCollectorKey key

#### options

    public int options

#### destcnt

    public int destcnt

#### timeout

    @Deprecated
    public long timeout

Deprecated. Unused - will be removed in Tomcat 8.0.x

### Constructor Detail

#### RpcChannel.RpcCollector

    @Deprecated
    public RpcChannel.RpcCollector(RpcChannel.RpcCollectorKey key,
                                      int options,
                                      int destcnt,
                                      long timeout)

Deprecated. Use `RpcChannel.RpcCollector( RpcChannel.RpcCollectorKey, int, int)`

#### RpcChannel.RpcCollector

    public RpcChannel.RpcCollector(RpcChannel.RpcCollectorKey key,
                           int options,
                           int destcnt)

### Method Detail

#### addResponse

    public void addResponse(Serializable message,
                   Member sender)

#### isComplete

    public boolean isComplete()

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

#### getResponses

    public Response[] getResponses()